Bug 15140 - Add MARC21 776 to OPAC and staff display
Summary: Add MARC21 776 to OPAC and staff display
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 12:56 UTC by Katrin Fischer
Modified: 2017-07-31 08:33 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15140: [3.22] Add MARC21 776 to OPAC and staff display (4.61 KB, patch)
2017-03-16 11:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15140: Add MARC21 776 to OPAC and staff display (4.66 KB, patch)
2017-03-16 11:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15140: Add MARC21 776 to OPAC and staff display (5.87 KB, patch)
2017-03-21 08:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15140: Add MARC21 776 to OPAC and staff display (5.89 KB, patch)
2017-04-21 14:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15140: Display $i when ind2==8 (2.42 KB, patch)
2017-05-01 11:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15140: Add MARC21 776 to OPAC and staff display (5.91 KB, patch)
2017-05-08 10:28 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 15140: Display $i when ind2==8 (2.43 KB, patch)
2017-05-08 10:28 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 15140: Add MARC21 776 to OPAC and staff display (5.97 KB, patch)
2017-07-21 14:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15140: Display $i when ind2==8 (2.49 KB, patch)
2017-07-21 14:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15140 (QA Followup) lowercase the search index (2.29 KB, patch)
2017-07-21 14:10 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-05 12:56:42 UTC
776 - Additional Physical Form Entry
http://www.loc.gov/marc/bibliographic/bd776.html

is currently not displayed in OPAC or staff and should be added.
Comment 1 Elaine Bradtke 2016-06-13 18:34:49 UTC
Just adding a +1 this is an important field for sound recording libraries.
Comment 2 Marcel de Rooy 2017-03-16 11:43:27 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2017-03-16 11:48:25 UTC
Created attachment 61162 [details] [review]
Bug 15140: Add MARC21 776 to OPAC and staff display

Adds code to opac and staff detail XSLT in order to show 776$t and a link
based on 776$w (record control number). $w should be in the form:
    (MARCOrgCode)Record-number
For instance: (NL-AmRIJ)12345

Note: You should have enabled default opac/intranet XSLT view.

Test plan:
[1] Add two 776s (one with $t and $w and one with $t only)
[2] Verify that you see "Additional physical formats" on opac-detail. Does
    the link for $w work?
[3] Check intranet detail too.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Mirko Tietgen 2017-03-20 16:24:29 UTC
I think the link should use Record-controlnumber, not the biblionumber for linking, like 773.
Comment 5 Katrin Fischer 2017-03-20 16:35:22 UTC
I have another thing: $t can be empty if your linked record has no author/main heading is the title (not sure how to say this right in English). In this case the title will be in $a and $t is empty. Best to display both. Also: Because we only check for existence of 776 the display will look broken when there is only $a.
Comment 6 Marcel de Rooy 2017-03-21 08:29:19 UTC
Created attachment 61351 [details] [review]
Bug 15140: Add MARC21 776 to OPAC and staff display

Adds code to opac and staff detail XSLT in order to show 776$t (or $a) and
a link based on 776$w (record control number). $w should be in the form:
    (MARCOrgCode)Record-number
For instance: (NL-AmRIJ)12345

Note: You should have enabled default opac/intranet XSLT view.

Test plan:
[1] Add two 776s (one with $t and $w and one with $t only)
[2] Verify that you see "Additional physical formats" on opac-detail. Does
    the link for $w work?
[3] Check intranet detail too.
[4] Empty 776$t and put text in $a. Check detail page again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2017-03-21 08:31:36 UTC
(In reply to Mirko Tietgen from comment #4)
> I think the link should use Record-controlnumber, not the biblionumber for
> linking, like 773.

Thanks. Adjusted.
Comment 8 Marcel de Rooy 2017-03-21 08:32:03 UTC
(In reply to Katrin Fischer from comment #5)
> I have another thing: $t can be empty if your linked record has no
> author/main heading is the title (not sure how to say this right in
> English). In this case the title will be in $a and $t is empty. Best to
> display both. Also: Because we only check for existence of 776 the display
> will look broken when there is only $a.

Adjusted too. Thanks
Comment 9 Felix Hemme 2017-04-19 15:25:30 UTC
Instead of "/cgi-bin/koha/catalogue/search.pl?q=Control-number:" it has to be "/cgi-bin/koha/opac-search.pl?q=Control-number:"
Comment 10 Marcel de Rooy 2017-04-19 15:26:46 UTC
(In reply to Felix Hemme from comment #9)
> Instead of "/cgi-bin/koha/catalogue/search.pl?q=Control-number:" it has to
> be "/cgi-bin/koha/opac-search.pl?q=Control-number:"

Good catch. Copy/paste.. Thanks.
Comment 11 Marcel de Rooy 2017-04-21 14:28:59 UTC
Created attachment 62531 [details] [review]
Bug 15140: Add MARC21 776 to OPAC and staff display

Adds code to opac and staff detail XSLT in order to show 776$t (or $a) and
a link based on 776$w (record control number). $w should be in the form:
    (MARCOrgCode)Record-number
For instance: (NL-AmRIJ)12345

Note: You should have enabled default opac/intranet XSLT view.

Test plan:
[1] Add two 776s (one with $t and $w and one with $t only)
[2] Verify that you see "Additional physical formats" on opac-detail. Does
    the link for $w work?
[3] Check intranet detail too.
[4] Empty 776$t and put text in $a. Check detail page again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 12 Felix Hemme 2017-04-27 11:31:22 UTC
Hi Marcel,
linking works fine now. But I think the value from subfield $i (relationship information) should be displayed if second indicator = 8. Like in field 775 (other edition entry). I changed the status to "Failed QA". Please change it again if that was not correct.
Comment 13 Marcel de Rooy 2017-05-01 11:07:23 UTC
Created attachment 62908 [details] [review]
Bug 15140: Display $i when ind2==8

See MARC specification.
Note that we have a preceding text before all 776s too.

Test plan:
[1] Set field 776 ind2 to 8. And add text in $i.
[2] Look for this text on OPAC detail and staff detail.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 14 Marcel de Rooy 2017-05-01 11:07:56 UTC
(In reply to Felix Hemme from comment #12)
> Hi Marcel,
> linking works fine now. But I think the value from subfield $i (relationship
> information) should be displayed if second indicator = 8. Like in field 775
> (other edition entry). I changed the status to "Failed QA". Please change it
> again if that was not correct.

Thanks for testing, Felix.
I have tried to implement your suggestion in the second patch.
Comment 15 sandboxes@biblibre.com 2017-05-08 10:28:23 UTC
Patch tested with a sandbox, by Felix Hemme <felix.hemme@thulb.uni-jena.de>
Comment 16 sandboxes@biblibre.com 2017-05-08 10:28:54 UTC
Created attachment 63232 [details] [review]
Bug 15140: Add MARC21 776 to OPAC and staff display

Adds code to opac and staff detail XSLT in order to show 776$t (or $a) and
a link based on 776$w (record control number). $w should be in the form:
    (MARCOrgCode)Record-number
For instance: (NL-AmRIJ)12345

Note: You should have enabled default opac/intranet XSLT view.

Test plan:
[1] Add two 776s (one with $t and $w and one with $t only)
[2] Verify that you see "Additional physical formats" on opac-detail. Does
    the link for $w work?
[3] Check intranet detail too.
[4] Empty 776$t and put text in $a. Check detail page again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Felix Hemme <felix.hemme@thulb.uni-jena.de>
Comment 17 sandboxes@biblibre.com 2017-05-08 10:28:58 UTC
Created attachment 63233 [details] [review]
Bug 15140: Display $i when ind2==8

See MARC specification.
Note that we have a preceding text before all 776s too.

Test plan:
[1] Set field 776 ind2 to 8. And add text in $i.
[2] Look for this text on OPAC detail and staff detail.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Felix Hemme <felix.hemme@thulb.uni-jena.de>
Comment 18 Marcel de Rooy 2017-05-08 10:43:19 UTC
(In reply to sandboxes@biblibre.com from comment #17)
> Signed-off-by: Felix Hemme <felix.hemme@thulb.uni-jena.de>

Thx
Comment 19 Nick Clemens 2017-07-21 14:10:44 UTC
Created attachment 65185 [details] [review]
Bug 15140: Add MARC21 776 to OPAC and staff display

Adds code to opac and staff detail XSLT in order to show 776$t (or $a) and
a link based on 776$w (record control number). $w should be in the form:
    (MARCOrgCode)Record-number
For instance: (NL-AmRIJ)12345

Note: You should have enabled default opac/intranet XSLT view.

Test plan:
[1] Add two 776s (one with $t and $w and one with $t only)
[2] Verify that you see "Additional physical formats" on opac-detail. Does
    the link for $w work?
[3] Check intranet detail too.
[4] Empty 776$t and put text in $a. Check detail page again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Felix Hemme <felix.hemme@thulb.uni-jena.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 20 Nick Clemens 2017-07-21 14:10:47 UTC
Created attachment 65186 [details] [review]
Bug 15140: Display $i when ind2==8

See MARC specification.
Note that we have a preceding text before all 776s too.

Test plan:
[1] Set field 776 ind2 to 8. And add text in $i.
[2] Look for this text on OPAC detail and staff detail.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Felix Hemme <felix.hemme@thulb.uni-jena.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 21 Nick Clemens 2017-07-21 14:10:51 UTC
Created attachment 65187 [details] [review]
Bug 15140 (QA Followup) lowercase the search index

Zebra doesn't care about cases, but ES does and default mapping is
'control-number'

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 22 Jonathan Druart 2017-07-24 18:03:42 UTC
What about NORMARC?
Comment 23 Katrin Fischer 2017-07-24 18:11:15 UTC
(In reply to Nick Clemens from comment #21)
> Created attachment 65187 [details] [review] [review]
> Bug 15140 (QA Followup) lowercase the search index
> 
> Zebra doesn't care about cases, but ES does and default mapping is
> 'control-number'
> 
> Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Should we have a new bug to fix all other occurrences of Control-number?
Comment 24 Marcel de Rooy 2017-07-25 12:03:44 UTC
(In reply to Katrin Fischer from comment #23)
> (In reply to Nick Clemens from comment #21)
> > Created attachment 65187 [details] [review] [review] [review]
> > Bug 15140 (QA Followup) lowercase the search index
> > 
> > Zebra doesn't care about cases, but ES does and default mapping is
> > 'control-number'
> > 
> > Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
> 
> Should we have a new bug to fix all other occurrences of Control-number?

Please open up a new report for that. Thanks.
Comment 25 Marcel de Rooy 2017-07-25 12:12:06 UTC
(In reply to Jonathan Druart from comment #22)
> What about NORMARC?

The NORMARC XSLTs are way out of sync with the MARC21 ones. (Lots of patches were pushed without this question.) Since it is only a presentation issue, I would not like to address that here. Those responsible for NORMARC should be more involved in keeping it updated. Personally, I would not move that burden to MARC21 developers.
Comment 26 Jonathan Druart 2017-07-25 12:39:22 UTC
(In reply to Marcel de Rooy from comment #25)
> (In reply to Jonathan Druart from comment #22)
> > What about NORMARC?
> 
> The NORMARC XSLTs are way out of sync with the MARC21 ones. (Lots of patches
> were pushed without this question.) Since it is only a presentation issue, I
> would not like to address that here. Those responsible for NORMARC should be
> more involved in keeping it updated. Personally, I would not move that
> burden to MARC21 developers.

Did we already agree on that?
Comment 27 Katrin Fischer 2017-07-25 14:23:52 UTC
I think Marcel is right - we should develop them independently, because there is only a very limited number of people who know NORMARC - not sure if there is English documentation available even.
Comment 28 Katrin Fischer 2017-07-25 14:25:54 UTC
(In reply to Marcel de Rooy from comment #24)
> (In reply to Katrin Fischer from comment #23)
> > (In reply to Nick Clemens from comment #21)
> > > Created attachment 65187 [details] [review] [review] [review] [review]
> > > Bug 15140 (QA Followup) lowercase the search index
> > > 
> > > Zebra doesn't care about cases, but ES does and default mapping is
> > > 'control-number'
> > > 
> > > Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
> > 
> > Should we have a new bug to fix all other occurrences of Control-number?
> 
> Please open up a new report for that. Thanks.

Done - bug 18981
Comment 29 Magnus Enger 2017-07-25 20:37:21 UTC
(In reply to Katrin Fischer from comment #27)
> I think Marcel is right - we should develop them independently, because
> there is only a very limited number of people who know NORMARC - not sure if
> there is English documentation available even.

Definitely no info in any language other than Norwegian! 

The good news is, the National library of Norway has decided to kill off NORMARC and use MARC21 instead. See bug 18984 for some more details. So definitely go ahead and ignore NORMARC! :-)
Comment 30 Jonathan Druart 2017-07-26 17:59:17 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 31 Fridolin SOMERS 2017-07-31 08:33:00 UTC
Enhancement not pushed to 17.05.x